import { OnInit } from '@angular/core';
import { services } from 'typescript-angular-utilities';
import __object = services.object;
import __transform = services.transform;
export declare class CommaListComponent<T> implements OnInit {
    list: T[];
    transform: __transform.ITransform<T, string>;
    max: number;
    remainingItems: number;
    private object;
    private transformService;
    constructor(object: __object.ObjectUtility, transformService: __transform.TransformService);
    ngOnInit(): void;
    getFirstItems(): string[];
}
